import { pgTable, bigserial, bigint, integer } from "drizzle-orm/pg-core";
import { magicPlanPlan } from "./plan";

export const magicPlanFloor = pgTable(
  "magic_plan_floor",
  {
    id:       bigserial("id", { mode: "bigint" }).primaryKey(),
    planId:   bigint("magic_plan_plan_id", { mode: "bigint" })
      .notNull()
      .references(() => magicPlanPlan.id),
    level:    integer("level"),
  },
);